TON DocsTON Docs
OnboardingNodesApplicationsAPIsContractsSmart contractsTolkTolk languageTVMTON Virtual MachineFoundationsBlockchain foundations

Get address information

GET
/api/v3/addressInformation

Get smart contract information for the specified account.

Authorization

X-API-Key<token>

API key header of the form X-API-Key: <token>, where <token> is the API key. Requests without a key are limited to 1 RPS. Refer to the authentication guide for details.

In: header

Query Parameters

address*string

Account address in any form.

use_v2?boolean

Use the API v2 method. This option is not recommended.

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v3/addressInformation?address=string"
{
  "balance": "string",
  "code": "string",
  "data": "string",
  "frozen_hash": "string",
  "last_transaction_hash": "string",
  "last_transaction_lt": "string",
  "status": "string",
  "suspended": true
}
{
  "code": 0,
  "error": "string"
}